package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Fcn;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface FcnMapper {

    int insert(Fcn fcn);

    List<Fcn> queryByCondition(Fcn fcn);

    Fcn selectByPrimaryKey(Fcn fcn);

    int updateByPrimaryKey(Fcn record);

    int deleteByPrimaryKey(Fcn record);

    int updateByPrimaryKeySelective(Fcn record);

    Fcn checkRepeat(Fcn record);

    int selectByObjref(Fcn record);
}
